profile
viewpoint

Ask questionsDestillery 2.1 not working with Edeliver 1.6

#Create New App Mix new app_name

Chage mix file Change mix file to include

{:edeliver, ">= 1.6.0"}, {:distillery, "~> 2.0", warn_missing: false},

add :edeliver to extra_applications

run: mix deps.get

Mix compile: mix compile

:Error!

(CompileError) lib/distillery/plugins/link_config.ex:17: module Mix.Releases.Plugin is not loaded and could not be found (elixir) expanding macro: Kernel.use/1
lib/distillery/plugins/link_config.ex:17: Releases.Plugin.LinkConfig (module)
could not compile dependency :edeliver, "mix compile" failed. You can recompile this dependency with "mix deps.compile edeliver", update it with "mix deps.update edeliver" or clean it with "mix deps.clean edeliv er"

(I have downgraded destillery to 2.0.14, where it is still working) Best Regards

bitwalker/distillery

Answer questions ndac-todoroki

I think the cause is #694

useful!

Related questions

Ecto / Postgrex connection params issue hot 1
Github User Rank List